set ns [new Simulator]

set nf [open lab1.nam w]
$ns namtrace-all $nf

$ns color 0 red
$ns color 10 blue

# Create the topology
for {set i 0} {$i < 6} {incr i} {
    set n($i) [$ns node]
}

# Create the connection
$ns duplex-link $n(0) $n(1) 128Kb 10ms DropTail
$ns duplex-link $n(1) $n(2) 128Kb 10ms DropTail
$ns duplex-link $n(2) $n(3) 128Kb 10ms DropTail
$ns duplex-link $n(3) $n(4) 128Kb 10ms DropTail
$ns duplex-link $n(4) $n(5) 128Kb 10ms DropTail
$ns duplex-link $n(5) $n(0) 128Kb 10ms DropTail

$ns rtproto DV

set udp1 [new Agent/UDP]
$ns attach-agent $n(0) $udp1
$udp1 set packetSize_ 1024
$udp1 set fid_ 10
set rcvr1 [new Agent/LossMonitor]
$ns attach-agent $n(2) $rcvr1
$ns connect $udp1 $rcvr1

# Src
$n(0) color SteelBlue
$n(0) label "Source"
# Receiver
$n(2) color Orange
$n(2) label "Receiver"

set src1 [new Application/Traffic/CBR]
$src1 set rate_ 100Kb
$src1 attach-agent $udp1
$ns at 0.05 "$src1 start"
$ns at 0.99 "$src1 stop"

$ns rtmodel-at 0.25 down $n(1) $n(2)
$ns rtmodel-at 0.50 up $n(1) $n(2)

$ns set-animation-rate 1.0ms

proc finish {} {
	global ns nf
	$ns flush-trace
	close $nf
	exit 0
}
$ns at 1.00 "finish"

$ns run
